program Loan_Amortization;

{ General purpose global constants, types vars and subprograms. }

{$I LOAN1.INC}


{Global constants, types vars and subprograms specific to
 the Loan_Amortization program. }

{$I LOAN2.INC}


{Loan amortization output routines. }

{$I LOAN3.INC}


{Help and housekeeping routines. }

{$I LOAN4.INC}

begin { Loan_Amortization. }
  Initialize;                          { Do initial housekeeping.}
  while (not (err_flag or end_session)) do
    begin
      Select_Loan_File;
      if esc_flag then
        Verify_Exit;
      while (not (esc_flag or err_flag)) do
        begin
          Display_Current_Values;
          Select_Action;
          case action of
            ACCEPT  : Accept_Data;
            MODIFY  : Modify_Data(1,END_INP);
            PRINT   : begin
                        Accept_Data;
                        Print_Amortization;
                      end;
            QUIT    : Exit_Housekeeping;
            HELP    : Display_Help;
          end; {case}
        end; {while}
    end; {while}
  ClrScr; Write('Session Ended');
end. { Loan_Amortization }
